// ActionScript file
package com.loki
{
    import flash.events.Event;
        
        /**
         * Dispatched by LokiAdapter and contains an untyped
         * location object which was originally dispached
         * by the Loki plugin.
         */
    public class LocationEvent 
        extends Event
    {
        // constants
        public static const LOCATION:String = "location";
        
        /**
         * Location object dispatched by the Loki plugin.
         * @see Loki API documentation for available properties on this object.
         */
        public var location:Object;
        
        /**
         * Constructor
         */
        public function LocationEvent(location:Object)
        {
            super(LOCATION);
            
            this.location = location;
        }
        
        /**
         * @private
         */
        override public function clone():Event
        {
            return new LocationEvent(location);
        }
    }
}