package com.winnb.locator.data
{
	import flash.events.EventDispatcher;
	import mx.collections.ArrayCollection;

	[Bindable]
	public class LocatorDataManager extends EventDispatcher
	{
		private static var _instance:LocatorDataManager = new LocatorDataManager();
		public var currentAddress:String;
		public var location:LocationVO;
		public var markers:ArrayCollection; // MarkerVO[]

		public static function getInstance():LocatorDataManager
		{
			return _instance;
		}
		
		public function LocatorDataManager()
		{
			if( _instance != null )
			{
			// singleton warning... 
			}
		}

		public function refresh():void 
		{
			currentAddress = "";
			location = new LocationVO();
			markers = new ArrayCollection();
		}

		public function addMarker( marker:MarkerVO ):void
		{
			markers.addItem( marker );
		}
	}
}