package com.winnb.youtube.ui
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.html.HTMLLoader;
	import flash.net.URLRequest;
	
	public class JSVideoPlayer extends Sprite
	{
	
		private var _html:HTMLLoader;
		private var _ready:Boolean = false;
		
		public function JSVideoPlayer()
		{
			_html = new HTMLLoader();
			_html.paintsDefaultBackground = false;
			_html.width = 425;
			_html.height = 344;
			_html.addEventListener(Event.COMPLETE, onComplete);
			
			loadHTMLcontent()

			this.addChild( _html );
		}
		public function loadNewVideo(videoID:String):void
		{
			if(_ready){
				_html.window.loadNewVideo(videoID);
			}
		}
		
		public function playVideo():void
		{
			if(_ready){
				_html.window.play();
			}
		}

		public function pauseVideo():void
		{
			if(_ready){
				_html.window.pause();
			}
		}
		
		private function onComplete (e:Event):void
		{
			_ready = true;
		}
		
		public function loadHTMLcontent():void
		{
			_html.load(new URLRequest('videoPlayer.html'));
		}
	
	}
}