package com.winnb.locator.data
{
    import flash.events.EventDispatcher;

    [Bindable]
    public class LocationVO extends EventDispatcher
        implements IDBEntry
    {
        public var id:int;
        public var name:String;
        public var content:String;

        public function LocationVO( id:int = -1,
                                    name:String = "", 
                                    content:String = "" )
        {
            this.id = id;
            this.name = name;
            this.content = content;
        }

        public function serialize():void
        {
            name = escape( name );
            content = escape( content );
        }
        public function deserialize():void
        {
            name = unescape( name );
            content = unescape( content );
        }

        public static function create( value:Object ):LocationVO
        {
            var location:LocationVO = new LocationVO();
            for( var prop:String in value )
            {
                location[prop] = value[prop];
            }
            location.deserialize();
            return location;
        }
    }
}