package com.winnb.locator.events
{
	import flash.data.SQLResult; 
	import flash.events.Event; 
	
	public class DBResultEvent extends Event 
	{ 
		private var _result:SQLResult; 
		public static const LOCATION_SAVED:String = "locationSaved"; 
		public static const LOCATION_RETRIEVED:String = "locationRetrieved"; 
		public static const LOCATION_RETRIEVED_ALL:String = "locationRetrievedAll"; 
		public static const MARKER_SAVED:String = "markerSaved"; 
		public static const MARKER_RETRIEVED:String = "markerRetrieved"; 
		public static const MARKER_RETRIEVED_ALL:String = "markerRetrievedAll"; 

		public function DBResultEvent( type:String, sqlResult:SQLResult ) 
		{ 
			super( type ); 
			_result = sqlResult; 
		} 

		public function get result():SQLResult 
		{ 
			return _result; 
		} 
	}
}