package com.winnb.maps.components
{
	import com.winnb.maps.events.InfoWindowClosedEvent;
	import com.google.maps.overlays.Marker;
	
	import flash.events.MouseEvent;
	
	import mx.containers.HBox;
	import mx.controls.Button;
	import mx.controls.TextInput;

	public class InputBox extends HBox
	{
		public var textBox:TextInput;
		public var marker:Marker;
		public var markerData:MarkerData;
		public var button:Button;
		
		public function InputBox(){
			width=300;
			height=25;
			textBox = new TextInput();
			button = new Button();
			button.label = "Save";
			button.addEventListener(MouseEvent.CLICK,closeOverLay);
			addChild(textBox);			
			addChild(button);
		}
		public function closeOverLay(event:MouseEvent):void{
			var e:InfoWindowClosedEvent = new InfoWindowClosedEvent(textBox.text);
			marker.closeInfoWindow();
			e.marker = marker;
			marker.dispatchEvent(e);
		}
	}
}