package com.winnb.stocks
{
    import mx.controls.Label;
    import mx.controls.listClasses.*;

	public class tickerLabel extends Label
	{
        private const POSITIVE_COLOR:uint = 0x00FF00; // Green
        private const NEGATIVE_COLOR:uint = 0xFF0000; // Red
        private const NOCHANGE_COLOR:uint = 0x000000; // Black
 
        override protected function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void {
            super.updateDisplayList(unscaledWidth, unscaledHeight);
 
            /* Set the font color based on the item price. */
            if (parseFloat(data.Change) < 0) {
            	setStyle("color", NEGATIVE_COLOR);
            } else if (parseFloat(data.Change) > 0) {
            	setStyle("color", POSITIVE_COLOR);
            } else {
            	setStyle("color", NOCHANGE_COLOR);
            }
        }
    }
}